evaloutput-class {CMA} | R Documentation

## "evaloutput"

### Description

Object returned by the method `evaluation`.

### Slots

`score`:
  A numeric vector of performance scores whose length depends on `"scheme"`, s.below. It equals the number of iterations (number of different datasets) if `"scheme = iterationwise"` and the number of all observations in the complete dataset otherwise. As not necessarily all observation must be predicted at least one time, `score` can also contain `NA`s for those observations not classified at all.
`measure`:
  performance measure used, s. `evaluation`.
`scheme`:
  scheme used, s. `evaluation`
`method`:
  name of the classifier that has been evaluated.

### Methods

show
  Use `show(evaloutput-object)` for brief information.
summary
  Use `summary(evaloutput-object)` to apply the classic `summary()` function to the slot `score`, s. `summary,evaloutput-method`
boxplot
  Use `boxplot(evaloutput-object)` to display a boxplot of the slot `score`, s. `boxplot,evaloutput-method`.
obsinfo
  Use `obsinfo(evaloutput-object, threshold)` to display all observations consistenly correctly or incorrectly classified (depending on the value of the argument `threshold`), s. `obsinfo`.

### Author(s)

Martin Slawski martin.slawski@campus.lmu.de

Anne-Laure Boulesteix http://www.slcmsr.net/boulesteix

### See Also

`evaluation`

[Package CMA version 1.2.0 Index]